enum
{
	mysqlCREATE = 0,
	mysqlDROP,
	mysqlINSERT,			
	mysqlDELETE,			
	mysqlUPDATE,			
	mysqlSELECT,
	mysqlUSE,
	mysqlALTER,
	mysqlSHOW
};

enum {
 DATABASE = 1,
 TABLE = 2,
 QUERY = 3
};


struct mysqlObject {
	int type;
	void* myobject; // Can be typecasted to either mysqlDatabase or mysqlTable or mysqlQuery
};


struct query {
	int command;
	int object;
	int tableType;
	char* subject;
	char* fields; 
	char** values; 
	struct fieldvalue *fv;
	char** query;
	char **newValues;
	int numOfValues;
};


struct dbConnect {
	char*	host;
	char*	user;
	char*	pass;
	char*	db;
	unsigned int port;
	char*	unix_socket;
	unsigned long client_flag;
	void *conn;
	struct query *q;
};

// Could make all these mysql Structures more generic, as in arrays of void*'s
struct mysqlQuery {
	int command;
	int object;
	int tableType;
	char* subject;
	char* fields; 
	char** values; 
	struct fieldvalue *fv;
	char conditionals[100000];
	int conditionalType;
	char query[300][150000];
	int numberOfQueries;
	char **newValues;
	int numOfValues;
	struct mysqlObject* focus;
//	MYSQL_RES *result[300]; // This will be typecasted from a void* to a MYSQL_RES
	void *result[300];
	int numOfResults;
};
 
struct mysqlTable {
	char* name;
	char* fields;
	char** values;
	int numOfValues; //???
	int numOfChunks;
	char* formattedValues;
	int tableType;
	int fieldsSize;
	int valuesSize;
	int formattedValuesSize;	
};

struct mysqlDatabase {
	char* name;
};